FROM openshift/golang-builder:1.12 AS builder
ENV OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=13 OS_GIT_VERSION=4.3.13-202004131016-bfda4d3 OS_GIT_TREE_STATE=clean SOURCE_GIT_COMMIT=bfda4d3462fd7305573adb103137723d2bd4975c SOURCE_GIT_TAG=bfda4d34 SOURCE_GIT_URL=https://github.com/openshift/cluster-samples-operator SOURCE_DATE_EPOCH=1584664559 OS_GIT_COMMIT=bfda4d3 BUILD_VERSION=v4.3.13 BUILD_RELEASE=202004131016
WORKDIR /go/src/github.com/openshift/cluster-samples-operator
COPY . .
RUN make build

FROM openshift/ose-base:ubi7
ENV OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=13 OS_GIT_VERSION=4.3.13-202004131016-bfda4d3 OS_GIT_TREE_STATE=clean SOURCE_GIT_COMMIT=bfda4d3462fd7305573adb103137723d2bd4975c SOURCE_GIT_TAG=bfda4d34 SOURCE_GIT_URL=https://github.com/openshift/cluster-samples-operator SOURCE_DATE_EPOCH=1584664559 OS_GIT_COMMIT=bfda4d3 BUILD_VERSION=v4.3.13 BUILD_RELEASE=202004131016
COPY --from=builder /go/src/github.com/openshift/cluster-samples-operator/cluster-samples-operator /usr/bin/
RUN ln -f /usr/bin/cluster-samples-operator /usr/bin/cluster-samples-operator-watch
COPY manifests/image-references manifests/0* /manifests/
COPY vendor/github.com/openshift/api/samples/v1/0000_10_samplesconfig.crd.yaml /manifests/
COPY tmp/build/assets /opt/openshift/
RUN useradd cluster-samples-operator
USER cluster-samples-operator
ENTRYPOINT []
CMD ["/usr/bin/cluster-samples-operator"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-samples-operator" \
        com.redhat.component="ose-cluster-samples-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        version="v4.3.13" \
        release="202004131016" \
        io.openshift.build.commit.id="bfda4d3462fd7305573adb103137723d2bd4975c" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-samples-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-samples-operator/commit/bfda4d3462fd7305573adb103137723d2bd4975c"

